%global pypi_name imagesize
%global common_description %{expand:
The imagesize package parses image file headers and returns the image sizes.

* PNG
* JPEG
* JPEG2000
* GIF

This is a pure Python library.} 

Summary:       Python module for analyzing image file headers and returning image sizes
Name:          python-%{pypi_name}
Version:       1.4.1
Release:       2%{?dist}
License:       MIT
URL:           https://github.com/shibukawa/imagesize_py
Source0:       https://files.pythonhosted.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires: python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-devel python%{python3_pkgversion}-pytest

BuildArch:     noarch

%description
%common_description

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Python module for analyzing image file headers and returning image sizes

%description -n python%{python3_pkgversion}-%{pypi_name}
%common_description

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# disable test_get_filelike due to internet connection requirement
py.test-3 -k 'not test_get_filelike'

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.rst
%doc README.rst
%{python3_sitelib}/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-2
- Rebuilt for loongarch release

* Thu Sep 21 2023 Shuo Wang <abushwang@tencent.com> - 1.4.1-1
- update to 1.4.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 9 2023 Shuo Wang <abushwang@tencent.com> - 1.2.0-1
- initial build
